Subject: Re: [Fwd: pcmcia ether drivers can't be unloaded]

From: "David S. Miller" <[email-masked]>
Date: Wed, 28 Jul 2004 08:54:19 -0700

On Wed, 28 Jul 2004 16:50:24 +0100
Russell King <[email-masked]> wrote:

> On Tue, Jul 27, 2004 at 05:19:29PM -0700, David S. Miller wrote:
> > I totally disagree.  This is a bogus argument for two reasons:
> 
> You may disagree, that is your option.  However, facts are facts -
> this is how the PCMCIA layer currently works, and short of rewriting
> the whole damned thing it isn't going to change.  Sorry.

Stephen offered a solution, moving this stray refcount into a toplevel
pcmcia bus type object.  We are not constrained by how the PCMCIA layer
currently works, just as we were not constrained a year ago by how the
generic network device handling worked when it was totally broken in
this area.  We just fixed it instead of whining.